'use strict';

var inquirer = require('inquirer');

var open = require('opn');

var chalk = require('chalk');

var resolve = require('../resolve');

var getLabel = require('../getLabel');

var getConfig = require('../getConfig');

var renderClear = require('../renderClear');
/**
 * @param {Object} results - the results object
 * @param {Function} originResolve - the origin resolve callback
 * @param {Object} oldResults - the pSeries results
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function fetchComplete(results, originResolve, oldResults, _ref) {
  var _getConfig = _ref._getConfig,
      _renderClear = _ref._renderClear,
      _inquirer = _ref._inquirer,
      _open = _ref._open;

  var config = _getConfig();

  var lableOptions = {};
  var labelTitle = chalk.inverse.bold(getLabel('completed.title', lableOptions));
  var labelText = getLabel('completed', lableOptions);
  var linksTitles = [];
  var linksValues = [];
  (config.links || []).forEach(function (_ref2) {
    var title = _ref2.title,
        href = _ref2.href;
    linksTitles.push(title);
    linksValues.push(href);
  });

  var prompt = function prompt(pResolve) {
    if (Object.keys(results).length <= 1 && Object.keys(results.readmes).length < 1) {
      pResolve();
      return;
    }

    _renderClear();

    _inquirer.prompt([{
      type: 'list',
      choices: linksTitles.concat(['Continue']),
      name: 'completed',
      message: "".concat(labelTitle).concat(labelText),
      "default": 'Continue',
      prefix: ''
    }]).then(function (_ref3) {
      var completed = _ref3.completed;
      var index = linksTitles.indexOf(completed);

      if (index >= 0) {
        _open(linksValues[index]);

        prompt(originResolve || pResolve);
      } else {
        pResolve();
      }
    });
  };

  if (originResolve) {
    return;
  }

  return new Promise(prompt);
}

module.exports = resolve(fetchComplete, {
  getConfig: getConfig,
  renderClear: renderClear,
  inquirer: inquirer,
  open: open
});
module.exports.fetchComplete = fetchComplete;