'use strict';

var inquirer = require('inquirer');

var resolve = require('../resolve');

var getLabel = require('../getLabel');

var getUserStorage = require('../getUserStorage');

var setUserStorage = require('../setUserStorage');
/**
 * @param {Object} results - the results object
 * @param {Object} di - dependency injection
 * @returns {void}
 **/


function fetchEmail(results, _ref) {
  var _getUserStorage = _ref._getUserStorage,
      _setUserStorage = _ref._setUserStorage,
      _console = _ref._console,
      _inquirer = _ref._inquirer;

  var userStorage = _getUserStorage();

  return new Promise(function (pResolve) {
    if (!userStorage.email) {
      // TODO validate answer
      _inquirer.prompt([{
        type: 'input',
        name: 'email',
        message: getLabel('email.missing', {})
      }]).then(function (_ref2) {
        var email = _ref2.email;
        userStorage.email = email;

        _setUserStorage(userStorage);

        _console.log(getLabel('email.stored', {
          email: email
        }));

        pResolve({
          email: email
        });
      });
    } else {
      pResolve({});
    }
  });
}

module.exports = resolve(fetchEmail, {
  getUserStorage: getUserStorage,
  setUserStorage: setUserStorage,
  console: console,
  inquirer: inquirer
});
module.exports.fetchEmail = fetchEmail;