'use strict';

var path = require('path');

var inquirer = require('inquirer');

var glob = require('glob');

var resolve = require('../resolve');

var getCwd = require('../getCwd');

var renderClear = require('../renderClear');
/**
 * @param {Object} results - the results object
 * @param {Object} di - dependency injection
 * @returns {void}
 **/


function fetchInitReadmes(results, _ref) {
  var _renderClear = _ref._renderClear,
      _getCwd = _ref._getCwd,
      _path = _ref._path,
      _glob = _ref._glob,
      _inquirer = _ref._inquirer;

  var cwd = _getCwd();

  var readmeFiles = _glob.sync(_path.join(cwd, '**', '*.md'), {
    ignore: [_path.join(_getCwd(), 'node_modules', '**')]
  }).map(function (filePath) {
    return filePath.replace(cwd, '').replace(/^\//, ' ');
  });

  _renderClear();

  return new Promise(function (pResolve) {
    _inquirer.prompt([{
      type: 'checkbox',
      name: 'selectedReadmeFiles',
      message: 'Select the readme files you like to use',
      choices: readmeFiles.map(function (value) {
        return {
          value: value,
          checked: true
        };
      })
    }]).then(function (_ref2) {
      var selectedReadmeFiles = _ref2.selectedReadmeFiles;
      pResolve({
        selectedReadmeFiles: selectedReadmeFiles.map(function (filePath) {
          return {
            path: filePath.replace(/^ /, '/')
          };
        })
      });
    });
  });
}

module.exports = resolve(fetchInitReadmes, {
  renderClear: renderClear,
  getCwd: getCwd,
  path: path,
  glob: glob,
  inquirer: inquirer
});
module.exports.fetchInitReadmes = fetchInitReadmes;