'use strict';

var inquirer = require('inquirer');

var execa = require('execa');

var resolve = require('../resolve');

var getNpmrc = require('../getNpmrc');

var getLabel = require('../getLabel');

var getConfig = require('../getConfig');
/**

 * @param {Object} results - the results object
 * @param {Object} di - dependency injection
 * @returns {void}
**/


function fetchNpmSaveExact(results, _ref) {
  var _inquirer = _ref._inquirer,
      _getNpmrc = _ref._getNpmrc,
      _getConfig = _ref._getConfig,
      _execa = _ref._execa,
      _console = _ref._console,
      _process = _ref._process;

  var rc = _getNpmrc();

  var config = _getConfig();

  return new Promise(function (pResolve) {
    if (config.npm && config.npm.useSaveExact && rc['save-exact'] !== 'true') {
      _inquirer.prompt([{
        type: 'list',
        choices: ['Confirm', 'Leave'],
        name: 'npmSaveExact',
        message: getLabel('npm.save.exact.missing', {}),
        "default": 'Confirm'
      }]).then(function (_ref2) {
        var npmSaveExact = _ref2.npmSaveExact;

        if (npmSaveExact !== 'Confirm') {
          _process.exit();
        }

        _execa.shellSync("npm set save-exact true");

        _console.log(getLabel('npm.save.exact.stored', {}));

        pResolve({});
      });
    } else {
      pResolve({});
    }
  });
}

module.exports = resolve(fetchNpmSaveExact, {
  inquirer: inquirer,
  getNpmrc: getNpmrc,
  getConfig: getConfig,
  execa: execa,
  console: console,
  process: process
});
module.exports.fetchNpmSaveExact = fetchNpmSaveExact;