'use strict';

var resolve = require('../resolve');

var getReadmeFiles = require('../getReadmeFiles');

var fetchSections = require('../fetchSections');
/**
 * @param {Object} oldResults - the results object
 * @param {Object} di - dependency injection
 * @returns {void}
 **/


function fetchReadmes(oldResults, _ref) {
  var _getReadmeFiles = _ref._getReadmeFiles,
      _fetchSections = _ref._fetchSections;

  var readmeFilesDTOs = _getReadmeFiles();

  if (!readmeFilesDTOs || !readmeFilesDTOs.sections || Object.keys(readmeFilesDTOs.sections).length < 1) {
    return new Promise(function (pResolve) {
      pResolve({});
    });
  }

  return new Promise(function (pResolve) {
    _fetchSections(readmeFilesDTOs.sections).then(function (results) {
      pResolve({
        readmes: results
      });
    });
  });
}

module.exports = resolve(fetchReadmes, {
  getReadmeFiles: getReadmeFiles,
  fetchSections: fetchSections
});
module.exports.fetchReadmes = fetchReadmes;