'use strict';

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var chalk = require('chalk');

var inquirer = require('inquirer');

var renderClear = require('../renderClear');

var resolve = require('../resolve');

var fetchTopics = require('../fetchTopics');

var getTopicsList = require('../getTopicsList');

var getCompleteObject = require('../getCompleteObject');

var getUserStorage = require('../getUserStorage');
/**
 * @param {Object} sectionsObject - the sections object including selected key and index
 * @param {Object} results - the pSeries results
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function fetchSection(_ref, results, _ref2) {
  var sections = _ref.sections,
      sectionKey = _ref.sectionKey,
      sectionIndex = _ref.sectionIndex;
  var _process = _ref2._process,
      _inquirer = _ref2._inquirer,
      _renderClear = _ref2._renderClear,
      _fetchTopics = _ref2._fetchTopics,
      _getTopicsList = _ref2._getTopicsList,
      _getUserStorage = _ref2._getUserStorage,
      _console = _ref2._console;

  var store = _getUserStorage(); // prompt section just in case contributer didn't read it yet


  if (store.readmes && store.readmes[sectionKey] && store.readmes[sectionKey].oldValue === JSON.stringify(sections[sectionKey])) {
    return new Promise(function (pResolve) {
      pResolve({});
    });
  }

  return new Promise(function (pResolve) {
    _renderClear();

    var title = chalk.inverse.bold("".concat(sectionIndex + 1, ": ").concat(sectionKey));

    _console.log("".concat(title, "\n").concat(sections[sectionKey].text, "\n").concat(_getTopicsList(sections[sectionKey], sectionIndex)));

    _inquirer.prompt([{
      type: 'list',
      choices: ['Continue', 'Leave'],
      name: sectionKey,
      message: 'Please select',
      "default": 'Continue',
      prefix: ''
    }]).then(function (answers) {
      if (answers[sectionKey] !== 'Continue') {
        _process.exit();
      }

      _fetchTopics({
        sections: sections,
        sectionKey: sectionKey,
        sectionIndex: sectionIndex
      }).then(function (topicsAnswers) {
        return pResolve(Object.assign(_defineProperty({}, sectionKey, getCompleteObject(sections[sectionKey])), topicsAnswers));
      })["catch"](_process.exit);
    });
  });
}

module.exports = resolve(fetchSection, {
  process: process,
  inquirer: inquirer,
  renderClear: renderClear,
  fetchTopics: fetchTopics,
  getTopicsList: getTopicsList,
  getUserStorage: getUserStorage,
  console: console
});
module.exports.fetchSection = fetchSection;