'use strict';

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var pSeries = require('p-series');

var resolve = require('../resolve');

var fetchTopic = require('../fetchTopic');
/**
 * @param {Object} sectionsObject - the sections object including selected key and index
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function fetchTopics(_ref, _ref2) {
  var sections = _ref.sections,
      sectionKey = _ref.sectionKey,
      sectionIndex = _ref.sectionIndex;
  var _fetchTopic = _ref2._fetchTopic;
  return new Promise(function (pResolve) {
    // in case of there are no topics in this section
    if (Object.keys(sections[sectionKey].topics).length <= 0) {
      pResolve({});
      return;
    }

    pSeries(Object.keys(sections[sectionKey].topics).map(function (topicKey, topicIndex) {
      return _fetchTopic.bind(null, {
        sections: sections,
        sectionKey: sectionKey,
        sectionIndex: sectionIndex
      }, {
        topicKey: topicKey,
        topicIndex: topicIndex
      });
    })).then(function (topicsResults) {
      return pResolve(Object.assign.apply(Object, _toConsumableArray(topicsResults)));
    });
  });
}

module.exports = resolve(fetchTopics, {
  fetchTopic: fetchTopic
});
module.exports.fetchTopics = fetchTopics;