'use strict';

var execa = require('execa');

var resolve = require('../resolve');

var cleanWinCmd = require('../cleanWinCmd');
/**
 * @param {Object} di - dependency injection
 * @returns {string|undefined} username - returns the npm username or undefined
 **/


function getNpmrc(_ref) {
  var _process = _ref._process,
      _execa = _ref._execa;

  try {
    var rc = {};

    var rcraw = _execa.shellSync('npm config list').stdout;

    if (_process.platform === 'win32') {
      rcraw = cleanWinCmd(rcraw);
    }

    rcraw.split('\n').forEach(function (value) {
      var valueSpl = value.split('=');

      if (valueSpl.length === 2) {
        rc[valueSpl[0].trim()] = valueSpl[1].trim();
      }
    });
    return rc;
  } catch (err) {
    return undefined;
  }
}

module.exports = resolve(getNpmrc, {
  process: process,
  execa: execa
});
module.exports.getNpmrc = getNpmrc;