'use strict';

var getLabel = require('../getLabel');
/**
 * @param {Object} section - a section from readmeDTO
 * @param {number} sectionIndex - the array index of the section
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function getTopicsList(section, sectionIndex) {
  if (!section || !section.topics || Object.keys(section.topics).length < 1) {
    return '';
  }

  var out = [getLabel('section.topics.title', {})];
  Object.keys(section.topics).forEach(function (topicKey, topicIndex) {
    out.push("".concat(sectionIndex + 1, ".").concat(topicIndex + 1, " ").concat(topicKey));
  });
  out.push('\n');
  return out.join('\n');
}

module.exports = getTopicsList;