'use strict';

var fs = require('fs');

var resolve = require('../resolve');

var getUserStorageFilePath = require('../getUserStorageFilePath');
/**
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function getUserStorage(_ref) {
  var _fs = _ref._fs,
      _getUserStorageFilePath = _ref._getUserStorageFilePath;

  try {
    return JSON.parse(_fs.readFileSync(_getUserStorageFilePath(), 'utf8'));
  } catch (err) {
    return {};
  }
}

module.exports = resolve(getUserStorage, {
  fs: fs,
  getUserStorageFilePath: getUserStorageFilePath
});
module.exports.getUserStorage = getUserStorage;