'use strict';

var path = require('path');

var userHome = require('os-homedir');

var resolve = require('../resolve');

var getPackage = require('../getPackage');

var getLabel = require('../getLabel');
/**
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/


function getUserStorageFilePath(_ref) {
  var _userHome = _ref._userHome,
      _path = _ref._path,
      _getPackage = _ref._getPackage,
      _process = _ref._process,
      _console = _ref._console;

  var packageData = _getPackage();

  if (!packageData || !packageData.name) {
    _console.error(getLabel('package.name.missing', {}));

    _process.exit();

    return undefined;
  }

  return _path.join(_userHome(), '.contributebuddy', packageData.name, 'store.json');
}

module.exports = resolve(getUserStorageFilePath, {
  userHome: userHome,
  path: path,
  getPackage: getPackage,
  process: process,
  console: console
});
module.exports.getUserStorageFilePath = getUserStorageFilePath;