'use strict';

var fs = require('fs');

var getPackage = require('../getPackage');

var getPackageFilePath = require('../getPackageFilePath');

var resolve = require('../resolve');
/**
 * @param {string} scriptName - name of script e.g. "prestart"
 * @param {string} append - the append command e.g. "contribute-buddy run"
 * @param {Object} di - dependency injection
 * @returns {void}
 **/


function packageAppendScript(scriptName, append, _ref) {
  var _getPackage = _ref._getPackage,
      _getPackageFilePath = _ref._getPackageFilePath,
      _fs = _ref._fs;

  var packageData = _getPackage();

  if (!packageData.scripts) {
    packageData.scripts = {};
  }

  if (packageData.scripts[scriptName]) {
    if (packageData.scripts[scriptName].indexOf(append) < 0) {
      packageData.scripts[scriptName] = "".concat(packageData.scripts[scriptName], " && ").concat(append);
    }
  } else {
    packageData.scripts[scriptName] = append;
  }

  _fs.writeFileSync(_getPackageFilePath(), JSON.stringify(packageData, null, 2));
}

module.exports = resolve(packageAppendScript, {
  getPackage: getPackage,
  getPackageFilePath: getPackageFilePath,
  fs: fs
});
module.exports.packageAppendScript = packageAppendScript;