'use strict';

var resolveDependency = require('./resolve-dependency');
/**
 * @param {Function} func - the function in which should be injected
 * @param {Object} dependencies - dependencies in object
 * @returns {boolean} returns true if packageName is valid
 **/


function resolve(func, dependencies) {
  var out = {};
  Object.keys(dependencies).forEach(function (dependencyName) {
    Object.assign(out, resolveDependency(dependencies, dependencyName, dependencies[dependencyName]));
  });
  return function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return func.apply(void 0, args.concat([out]));
  };
}

module.exports = resolve;