'use strict';

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var pSeries = require('p-series');

var resolve = require('../resolve');

var fetchWelcome = require('../fetchWelcome');

var fetchUsername = require('../fetchUsername');

var fetchEmail = require('../fetchEmail');

var fetchNpmSaveExact = require('../fetchNpmSaveExact');

var fetchReadmes = require('../fetchReadmes');

var fetchComplete = require('../fetchComplete');

var getUserStorage = require('../getUserStorage');

var setUserStorage = require('../setUserStorage');

var renderClear = require('../renderClear');
/**
 * @param {Object} di - dependency injection
 * @returns {void}
 **/


function runCheck(_ref) {
  var _getUserStorage = _ref._getUserStorage,
      _setUserStorage = _ref._setUserStorage,
      _renderClear = _ref._renderClear,
      _fetchWelcome = _ref._fetchWelcome,
      _fetchUsername = _ref._fetchUsername,
      _fetchEmail = _ref._fetchEmail,
      _fetchNpmSaveExact = _ref._fetchNpmSaveExact,
      _fetchReadmes = _ref._fetchReadmes,
      _fetchComplete = _ref._fetchComplete;

  var store = _getUserStorage();

  pSeries([_fetchUsername, _fetchEmail, _fetchNpmSaveExact, _fetchWelcome, _fetchReadmes]).then(function (results) {
    var resultsStore = Object.assign.apply(Object, _toConsumableArray(results));
    var readmes = Object.assign({}, store.readmes, resultsStore.readmes);
    var newStore = Object.assign({}, store, resultsStore);
    newStore.readmes = readmes;

    _setUserStorage(newStore);

    _renderClear();

    pSeries([_fetchComplete.bind(null, resultsStore, undefined)]).then(function () {
      _renderClear();
    });
  });
}

module.exports = resolve(runCheck, {
  getUserStorage: getUserStorage,
  setUserStorage: setUserStorage,
  renderClear: renderClear,
  fetchWelcome: fetchWelcome,
  fetchUsername: fetchUsername,
  fetchEmail: fetchEmail,
  fetchNpmSaveExact: fetchNpmSaveExact,
  fetchReadmes: fetchReadmes,
  fetchComplete: fetchComplete
});
module.exports.runCheck = runCheck;