'use strict';

var fs = require('fs');

var path = require('path');

var makeDir = require('make-dir');

var resolve = require('../resolve');

var getCwd = require('../getCwd');

var getPwd = require('../getPwd');

var packageAppendScript = require('../packageAppendScript');

var fetchInitReadmes = require('../fetchInitReadmes');

var fetchInitComplete = require('../fetchInitComplete');

var renderClear = require('../renderClear');
/**
 * @param {Object} di - dependency injection
 * @returns {void}
 **/


function runInit(_ref) {
  var _getCwd = _ref._getCwd,
      _getPwd = _ref._getPwd,
      _renderClear = _ref._renderClear,
      _packageAppendScript = _ref._packageAppendScript,
      _fetchInitReadmes = _ref._fetchInitReadmes,
      _fetchInitComplete = _ref._fetchInitComplete,
      _path = _ref._path,
      _fs = _ref._fs,
      _makeDir = _ref._makeDir;
  return _fetchInitReadmes({}).then(function (_ref2) {
    var selectedReadmeFiles = _ref2.selectedReadmeFiles;

    _renderClear();

    var originConfig = JSON.parse(_fs.readFileSync(_path.join(_getPwd(), '.contributebuddy', 'config.json'), 'utf8'));
    originConfig.files = selectedReadmeFiles;

    _makeDir.sync(_path.join(_getCwd(), '.contributebuddy'));

    _fs.writeFileSync(_path.join(_getCwd(), '.contributebuddy', 'config.json'), JSON.stringify(originConfig, null, 2));

    _packageAppendScript('prestart', 'contribute-buddy run');

    _packageAppendScript('postinstall', 'contribute-buddy run');

    _fetchInitComplete({}, undefined, {});
  });
}

module.exports = resolve(runInit, {
  getCwd: getCwd,
  getPwd: getPwd,
  renderClear: renderClear,
  packageAppendScript: packageAppendScript,
  fetchInitReadmes: fetchInitReadmes,
  fetchInitComplete: fetchInitComplete,
  path: path,
  fs: fs,
  makeDir: makeDir
});
module.exports.runInit = runInit;