'use strict';

var fs = require('fs');

var makeDir = require('make-dir');

var path = require('path');

var resolve = require('../resolve');

var getUserStorageFilePath = require('../getUserStorageFilePath');
/**
 * @param {Object} userStorage - the user storage object
 * @param {Object} di - dependency injection
 * @returns {void}
 **/


function setUserStorage(userStorage, _ref) {
  var _makeDir = _ref._makeDir,
      _fs = _ref._fs,
      _path = _ref._path,
      _getUserStorageFilePath = _ref._getUserStorageFilePath;

  var filePath = _getUserStorageFilePath();

  _makeDir.sync(filePath.replace(_path.basename(filePath), ''));

  _fs.writeFileSync(filePath, JSON.stringify(userStorage, null, 2));
}

module.exports = resolve(setUserStorage, {
  makeDir: makeDir,
  fs: fs,
  path: path,
  getUserStorageFilePath: getUserStorageFilePath
});
module.exports.setUserStorage = setUserStorage;